Get all charges Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/charge

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [statement].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[client_uuids] string

    Filter by a comma separated list of client UUIDs.

  • filter[group_uuids] string

    Filter by a comma separated list of group UUIDs.

  • filter[circle_uuids] string

    Filter by a comma separated list of circle UUIDs.

  • filter[plan_uuids] string

    Filter by a comma separated list of plan UUIDs.

  • filter[provider_uuids] string

    Filter by a comma separated list of provider UUIDs.

  • filter[policy_number] string

    Filter by policy numbers.

  • filter[seller_uuids] string

    Filter by a comma separated list of seller account UUIDs.

  • filter[payment_origin] string

    Filter by comma separated list of payment origins.

  • filter[type] string

    Filter by comma separated list of charge types.

  • filter[category] string

    Filter by comma separated list of charge categories.

  • filter[recurring] boolean

    Filter by recurring charges or not.

  • filter[frequency] string

    Filter by comma separated list of frequencies.

  • filter[start_date_after] string

    Filter by charge start dates after.

  • filter[start_date_before] string

    Filter by charge start dates before.

  • filter[end_date_after] string

    Filter by charge end dates after.

  • filter[end_date_before] string

    Filter by charge end dates before.

  • filter[next_expectation_date_after] string

    Filter by charge next expectation dates after.

  • filter[next_expectation_date_before] string

    Filter by charge next expectation dates before.

  • filter[amount_from] integer

    Filter by charge fixed amounts from in pennies.

  • filter[amount_to] integer

    Filter by charge fixed amounts to in pennies.

  • filter[percentage_from] number

    Filter by charge percentages from.

  • filter[percentage_to] number

    Filter by charge percentages to.

  • filter[tax_exempt] boolean

    Filter by tax exempt charges or not.

  • filter[exclude_from_rmar] boolean

    Filter by charges excluded from RMAR or not.

  • filter[rmar_type] string

    Filter by comma separated list of RMAR types.

  • filter[advice_type] string

    Filter by comma separated list of advice types.

  • filter[service_type] string

    Filter by comma separated list of service types.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, start_date, end_date, next_expectation_date, amount, percentage]. Negative sign to denote DESC. Defaults to '-start_date'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • payment_origin string
      • type string
      • category string
      • recurring boolean
      • frequency string
      • start_date string
      • end_date string
      • next_expectation_date string
      • tax_exempt boolean
      • tax number
      • amount object
        Hide amount attributes Show amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • percentage number
      • percentage_frequency string
      • charge_identifier string
      • exclude_from_rmar boolean
      • rmar_type string
      • advice_type string
      • service_type string
      • advice_area object
        Hide advice_area attributes Show advice_area attributes object
        • deposit integer
        • non_regulated integer
        • non_rmar integer
        • non_investment_insurance integer
        • regulated_mortgage integer
        • retail_investment integer
        • other_fca_regulated integer
        • unknown integer
      • plan_value string
      • chargeable_type object
        Hide chargeable_type attributes Show chargeable_type attributes object
        • amount string
        • currency string
        • formatted string
      • chargeable object
        Hide chargeable attributes Show chargeable attributes object
        • uuid string
        • created_at string
        • updated_at string
        • opened_at string
        • name string
        • type string
        • sub_type string
        • abstract_type string
        • policy_number string
        • proposal_reference string
        • status string
        • inactive_at string
        • inactive_reason string
        • agency_in_your_name boolean
        • agency_in_your_name_from string
        • originally_sold_by_firm boolean
        • under_advice boolean
        • visible_on_client_portal boolean
        • include_in_client_valuation boolean
        • show_on_joint boolean
        • shown_on_circles boolean
        • review_date string
        • on_panel boolean
        • is_group_scheme boolean
        • is_sub_group_scheme boolean
        • is_group_scheme_member boolean
        • advice_area string
        • main_account string
        • sub_accounts string
        • provider string
        • covers string
        • claims string
        • total_benefit_amount object
          Hide total_benefit_amount attributes Show total_benefit_amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • total_benefits object
          Hide total_benefits attributes Show total_benefits attributes object
          • critical_illness object
            Hide critical_illness attributes Show critical_illness attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • family_income_benefit object
            Hide family_income_benefit attributes Show family_income_benefit attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
        • latest_valuations string
        • value object
          Hide value attributes Show value attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • valued_at string
        • original_valued_at string
        • client string
        • accounts string
        • seller string
        • linked_owners string
        • linked_plans string
        • visible_to_circles string
        • statistics object
          Hide statistics attribute Show statistics attribute object
          • recent_growth integer
        • cases string
        • tags string
        • is_wrap_product boolean
        • is_wrap_child boolean
        • wrap string
        • wrap_children string
        • linked_policy_numbers string
        • can_be_deleted string
        • contract_enquiry_account string
        • custom_fields string
        • external_references string
      • account object
        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • author object
        Hide author attributes Show author attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • seller object
        Hide seller attributes Show seller attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • premium object
        Hide premium attributes Show premium attributes object
        • uuid string
        • created_at string
        • updated_at string
        • transfer_type string
        • date_of_transfer_valuation string
        • date_advice_given string
        • premium integer
        • premium_monthly integer
        • premium_annually integer
        • total_premium_to_date integer
        • amount integer
        • percentage number
        • frequency string
        • source string
        • payment_method string
        • start_date string
        • end_date string
        • pensionable_salary integer
        • details string
        • created_by string
        • plan string
        • transferred_from_plan string
        • transferred_from_plan_type string
        • transferred_from_plan_sub_type string
      • firm object
        Hide firm attributes Show firm attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
        • address_1 string
        • address_2 string
        • town_city string
        • county string
        • postcode string
        • country string
        • regulatory_text string
        • logo_icon string
        • brand_colours object
          Hide brand_colours attributes Show brand_colours attributes object
          • sidebar_background string
          • sidebar_accent string
          • sidebar_text string
          • sidebar_hover string
          • sidebar_active string
          • sidebar_title_background string
          • sidebar_title_primary string
          • sidebar_title_secondary string
          • sidebar_title_secondary_hover string
          • email_background string
          • email_logo_background_panel string
          • email_sub_text string
          • email_button_background string
          • email_button_text string
          • portal_sidebar_button_background string
          • portal_sidebar_button_hover string
          • portal_sidebar_button_active string
          • portal_brand_title string
          • portal_brand_sub_title string
          • portal_sidebar_title string
          • portal_sidebar_text string
          • portal_sidebar_text_hover string
          • portal_sidebar_text_active string
          • portal_sidebar_icon string
          • portal_sidebar_icon_hover string
          • portal_sidebar_icon_active string
          • portal_background string
          • portal_sidebar_account_title string
          • portal_sidebar_account_email string
          • portal_sidebar_divider string
          • portal_dashboard_bg_one string
          • portal_dashboard_bg_two string
          • portal_sidebar_collapse_button string
          • portal_sidebar_collapse_button_hover string
          • portal_sidebar_user_select_background string
          • portal_sidebar_user_select_hover string
          • portal_sidebar_user_select_text string
          • portal_sidebar_user_select_text_hover string
          • portal_sidebar_user_select_border string
          • portal_sidebar_user_select_border_hover string
        • is_subscribed boolean
        • addon_subscriptions string
        • keep_deleted_files_for integer
        • tax number
        • month_end integer
        • statement_frequency string
        • billing object
          Hide billing attributes Show billing attributes object
          • invoice_address_1 string
          • invoice_address_2 string
          • invoice_town_city string
          • invoice_county string
          • invoice_postcode string
          • invoice_country string
          • invoice_email string
        • task_board_template string
        • ip_whitelist array[string]
        • welcome_paragraph_html string
        • email_welcome_paragraph_html string
        • show_fact_find_illustrations boolean
        • cc_email_addresses array[string]
        • bcc_email_addresses array[string]
        • reply_to_email_address string
        • mobile_app_support_number string
        • mobile_app_support_email string
      • notes_count integer
GET /api/v1/charge
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/charge' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "de3ebad3-1073-4d81-ab4e-8294913d7630",
        "created_at": "2026-06-09T14:10:15+01:00",
        "updated_at": "2026-06-09T14:10:15+01:00",
        "payment_origin": "provider",
        "type": "fee",
        "category": "ongoing_fee",
        "recurring": true,
        "frequency": "monthly",
        "start_date": "2025-10-09",
        "end_date": "2026-07-09",
        "next_expectation_date": "2026-06-19",
        "tax_exempt": false,
        "tax": 17.5,
        "amount": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "percentage": 0.75,
        "percentage_frequency": "annually",
        "charge_identifier": "PLANNR-72484",
        "exclude_from_rmar": true,
        "rmar_type": "adviser_charge",
        "advice_type": "independent",
        "service_type": "initial",
        "advice_area": {
          "deposit": 7500,
          "non_regulated": 0,
          "non_rmar": 0,
          "non_investment_insurance": 0,
          "regulated_mortgage": 2500,
          "retail_investment": 0,
          "other_fca_regulated": 0,
          "unknown": 0
        },
        "plan_value": "plan",
        "chargeable_type": {
          "amount": "12000000",
          "currency": "GBP",
          "formatted": "£120,000.00"
        },
        "chargeable": {
          "uuid": "786dd7c8-ccc8-4ed9-9e80-f70a32321ed8",
          "created_at": "2026-06-09T14:10:15+01:00",
          "updated_at": "2026-06-09T14:10:15+01:00",
          "opened_at": "2026-06-09T14:10:15+01:00",
          "name": "Johns ISA",
          "type": "cash_account",
          "sub_type": "lifetime isa",
          "abstract_type": "asset",
          "policy_number": "AVIVA-123",
          "proposal_reference": "AB123456",
          "status": "inactive",
          "inactive_at": "2026-06-09T14:10:15+01:00",
          "inactive_reason": "claimed",
          "agency_in_your_name": true,
          "agency_in_your_name_from": "2025-06-09",
          "originally_sold_by_firm": true,
          "under_advice": true,
          "visible_on_client_portal": true,
          "include_in_client_valuation": true,
          "show_on_joint": true,
          "shown_on_circles": true,
          "review_date": "2025-06-09",
          "on_panel": true,
          "is_group_scheme": false,
          "is_sub_group_scheme": false,
          "is_group_scheme_member": false,
          "advice_area": "non_investment_insurance",
          "main_account": "App\\Http\\Resources\\Plans\\SubAccountResource",
          "sub_accounts": "App\\Http\\Resources\\Plans\\SubAccountResource",
          "provider": "App\\Http\\Resources\\Plans\\ProviderResource",
          "covers": "App\\Http\\Resources\\Plans\\CoverResource",
          "claims": "App\\Http\\Resources\\Plans\\ClaimResource",
          "total_benefit_amount": {
            "amount": {
              "example": "25000000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£250,000.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "total_benefits": {
            "critical_illness": {
              "amount": {
                "example": "15000000",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£150,000.00",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "family_income_benefit": {
              "amount": {
                "example": "10000000",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£100,000.00",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            }
          },
          "latest_valuations": "App\\Http\\Resources\\Plans\\ValuationResource",
          "value": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "valued_at": "2026-06-09T14:10:15+01:00",
          "original_valued_at": "2026-06-08T14:10:15+01:00",
          "client": "App\\Http\\Resources\\AccountResource",
          "accounts": "App\\Http\\Resources\\AccountResource",
          "seller": "App\\Http\\Resources\\AccountResource",
          "linked_owners": "App\\Http\\Resources\\AccountResource",
          "linked_plans": "App\\Http\\Resources\\Plans\\PlanResource",
          "visible_to_circles": "App\\Http\\Resources\\CircleResource",
          "statistics": {
            "recent_growth": 100
          },
          "cases": "App\\Http\\Resources\\CasesResource",
          "tags": "App\\Http\\Resources\\TagResource",
          "is_wrap_product": false,
          "is_wrap_child": false,
          "wrap": "App\\Http\\Resources\\Plans\\PlanResource",
          "wrap_children": "App\\Http\\Resources\\Plans\\PlanResource",
          "linked_policy_numbers": "App\\Http\\Resources\\Plans\\LinkedPolicyNumberResource",
          "can_be_deleted": "false",
          "contract_enquiry_account": "App\\Http\\Resources\\AccountResource",
          "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        },
        "account": {
          "uuid": "becba116-d36d-4fb5-bd21-19fe224e2b44",
          "created_at": "2026-06-09T14:10:15+01:00",
          "updated_at": "2026-06-09T14:10:15+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "firm": "App\\Http\\Resources\\FirmResource",
          "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
          "primary_email": "App\\Http\\Resources\\ContactDetailResource",
          "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
          "assigned_adviser": "App\\Http\\Resources\\AccountResource",
          "assigned_administrator": "App\\Http\\Resources\\AccountResource",
          "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
          "introduced_by": "App\\Http\\Resources\\AccountResource",
          "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
          "groups": "App\\Http\\Resources\\GroupResource",
          "tags": "App\\Http\\Resources\\TagResource",
          "owners": "App\\Http\\Resources\\AccountResource",
          "first_contact_date": "2026-06-09T14:10:15+01:00",
          "next_review_date": "2026-06-09T14:10:15+01:00",
          "previous_review_date": "2026-06-09T14:10:15+01:00",
          "anniversary_review_date": "2026-06-09T14:10:15+01:00",
          "terms_of_business_at": "2026-06-09T14:10:15+01:00",
          "client_agreement_at": "2026-06-09T14:10:15+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "joint_account_circle": "App\\Http\\Resources\\CircleResource",
          "circles": "App\\Http\\Resources\\CircleResource",
          "ownership_percentage": 100,
          "inactive_at": "2026-06-09",
          "last_interaction_at": "2026-06-09 14:10:15",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          },
          "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        },
        "author": {
          "uuid": "a9c8ad65-fc47-4650-8153-192e88555baf",
          "created_at": "2026-06-09T14:10:15+01:00",
          "updated_at": "2026-06-09T14:10:15+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "firm": "App\\Http\\Resources\\FirmResource",
          "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
          "primary_email": "App\\Http\\Resources\\ContactDetailResource",
          "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
          "assigned_adviser": "App\\Http\\Resources\\AccountResource",
          "assigned_administrator": "App\\Http\\Resources\\AccountResource",
          "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
          "introduced_by": "App\\Http\\Resources\\AccountResource",
          "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
          "groups": "App\\Http\\Resources\\GroupResource",
          "tags": "App\\Http\\Resources\\TagResource",
          "owners": "App\\Http\\Resources\\AccountResource",
          "first_contact_date": "2026-06-09T14:10:15+01:00",
          "next_review_date": "2026-06-09T14:10:15+01:00",
          "previous_review_date": "2026-06-09T14:10:15+01:00",
          "anniversary_review_date": "2026-06-09T14:10:15+01:00",
          "terms_of_business_at": "2026-06-09T14:10:15+01:00",
          "client_agreement_at": "2026-06-09T14:10:15+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "joint_account_circle": "App\\Http\\Resources\\CircleResource",
          "circles": "App\\Http\\Resources\\CircleResource",
          "ownership_percentage": 100,
          "inactive_at": "2026-06-09",
          "last_interaction_at": "2026-06-09 14:10:15",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          },
          "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        },
        "seller": {
          "uuid": "f83e62a5-cc55-4061-b2ef-a9576cbdedea",
          "created_at": "2026-06-09T14:10:15+01:00",
          "updated_at": "2026-06-09T14:10:15+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "firm": "App\\Http\\Resources\\FirmResource",
          "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
          "primary_email": "App\\Http\\Resources\\ContactDetailResource",
          "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
          "assigned_adviser": "App\\Http\\Resources\\AccountResource",
          "assigned_administrator": "App\\Http\\Resources\\AccountResource",
          "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
          "introduced_by": "App\\Http\\Resources\\AccountResource",
          "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
          "groups": "App\\Http\\Resources\\GroupResource",
          "tags": "App\\Http\\Resources\\TagResource",
          "owners": "App\\Http\\Resources\\AccountResource",
          "first_contact_date": "2026-06-09T14:10:15+01:00",
          "next_review_date": "2026-06-09T14:10:15+01:00",
          "previous_review_date": "2026-06-09T14:10:15+01:00",
          "anniversary_review_date": "2026-06-09T14:10:15+01:00",
          "terms_of_business_at": "2026-06-09T14:10:15+01:00",
          "client_agreement_at": "2026-06-09T14:10:15+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "joint_account_circle": "App\\Http\\Resources\\CircleResource",
          "circles": "App\\Http\\Resources\\CircleResource",
          "ownership_percentage": 100,
          "inactive_at": "2026-06-09",
          "last_interaction_at": "2026-06-09 14:10:15",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          },
          "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        },
        "premium": {
          "uuid": "2558c0bc-d052-45d2-994d-2752ab61a1f2",
          "created_at": "2026-06-09T14:10:15+01:00",
          "updated_at": "2026-06-09T14:10:15+01:00",
          "transfer_type": "transfer",
          "date_of_transfer_valuation": "2026-01-21",
          "date_advice_given": "2025-12-17",
          "premium": 74584,
          "premium_monthly": 298336,
          "premium_annually": 3580032,
          "total_premium_to_date": 74584,
          "amount": 74584,
          "percentage": 5.5,
          "frequency": "weekly",
          "source": "employee",
          "payment_method": "direct_debit",
          "start_date": "2026-04-25",
          "end_date": "2028-06-09",
          "pensionable_salary": 10000000,
          "details": "Extra premium details",
          "created_by": "App\\Http\\Resources\\AccountResource",
          "plan": "App\\Http\\Resources\\Plans\\PlanResource",
          "transferred_from_plan": "App\\Http\\Resources\\Plans\\PlanResource",
          "transferred_from_plan_type": "cash_account",
          "transferred_from_plan_sub_type": "cash_deposit"
        },
        "firm": {
          "uuid": "0493ad70-7f00-4e6e-afe5-8614621daf99",
          "created_at": "2026-06-09T14:10:15+01:00",
          "updated_at": "2026-06-09T14:10:15+01:00",
          "name": "Codepotato",
          "slug": "codepotato",
          "address_1": "Suite E, 5 The Briars",
          "address_2": "Waterberry Drive",
          "town_city": "Waterlooville",
          "county": "Hampshire",
          "postcode": "PO7 7YH",
          "country": "United Kingdom",
          "regulatory_text": "Regulatory text",
          "logo": "https://api.plannrcrm.com/images/plannr.jpg",
          "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
          "brand_colours": {
            "sidebar_background": "#0E0E56",
            "sidebar_accent": "#36367E",
            "sidebar_text": "#FFFFFF",
            "sidebar_hover": "#0A0A42",
            "sidebar_active": "#53DBB8",
            "sidebar_title_background": "#36367E",
            "sidebar_title_primary": "#FFC634",
            "sidebar_title_secondary": "#FFFFFF",
            "sidebar_title_secondary_hover": "#FFFFFF",
            "email_background": "#0E0E56",
            "email_logo_background_panel": "#36367E",
            "email_sub_text": "#FFFFFF",
            "email_button_background": "#36367E",
            "email_button_text": "#FFFFFF",
            "portal_sidebar_button_background": "#F6F6F6",
            "portal_sidebar_button_hover": "#FFFFFF",
            "portal_sidebar_button_active": "#FFFFFF",
            "portal_brand_title": "#323B4B",
            "portal_brand_sub_title": "#828994",
            "portal_sidebar_title": "#11151D",
            "portal_sidebar_text": "#323B4B",
            "portal_sidebar_text_hover": "#323B4B",
            "portal_sidebar_text_active": "#323B4B",
            "portal_sidebar_icon": "#828994",
            "portal_sidebar_icon_hover": "#828994",
            "portal_sidebar_icon_active": "#828994",
            "portal_background": "#F6F6F6",
            "portal_sidebar_account_title": "#11151D",
            "portal_sidebar_account_email": "#828994",
            "portal_sidebar_divider": "#E3E5E9",
            "portal_dashboard_bg_one": "#EF4583",
            "portal_dashboard_bg_two": "#FFC634",
            "portal_sidebar_collapse_button": "#828994",
            "portal_sidebar_collapse_button_hover": "#B3B9C4",
            "portal_sidebar_user_select_background": "#F6F6F6",
            "portal_sidebar_user_select_hover": "#F6F6F6",
            "portal_sidebar_user_select_text": "#323B4B",
            "portal_sidebar_user_select_text_hover": "#323B4B",
            "portal_sidebar_user_select_border": "#EEEEEE",
            "portal_sidebar_user_select_border_hover": "#828994"
          },
          "is_subscribed": true,
          "addon_subscriptions": "App\\Http\\Resources\\Addons\\AddonSubscriptionResource",
          "keep_deleted_files_for": 30,
          "tax": 17.5,
          "month_end": 25,
          "statement_frequency": "monthly",
          "billing": {
            "invoice_address_1": "Suite E, 5 The Briars",
            "invoice_address_2": "Waterberry Drive",
            "invoice_town_city": "Waterlooville",
            "invoice_county": "Hampshire",
            "invoice_postcode": "PO7 7YH",
            "invoice_country": "United Kingdom",
            "invoice_email": "gareth@codepotato.co.uk"
          },
          "task_board_template": "App\\Http\\Resources\\Board\\BoardResource",
          "ip_whitelist": [
            "192.168.0.1",
            "127.0.0.1"
          ],
          "welcome_paragraph_html": "<h1>Welcome.</h1>",
          "email_welcome_paragraph_html": "Welcome to Plannr!",
          "show_fact_find_illustrations": true,
          "cc_email_addresses": [
            "jack@example.com",
            "jill@example.com"
          ],
          "bcc_email_addresses": [
            "jack@example.com",
            "jill@example.com"
          ],
          "reply_to_email_address": "jack@example.com",
          "mobile_app_support_number": "01234 567890",
          "mobile_app_support_email": "support@example.com"
        },
        "notes_count": 5
      }
    ]
  ]
}